package com.mortals.xhx.module.matter.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.matter.model.MatterDutyerEntity;
import com.mortals.xhx.module.matter.service.MatterDutyerService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 事项负责人
*
* @author zxfei
* @date 2023-03-21
*/
@RestController
@RequestMapping("matter/dutyer")
public class MatterDutyerController extends BaseCRUDJsonBodyMappingController<MatterDutyerService,MatterDutyerEntity,Long> {

    @Autowired
    private ParamService paramService;

    public MatterDutyerController(){
        super.setModuleDesc( "事项负责人");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "sexual", paramService.getParamBySecondOrganize("MatterDutyer","sexual"));
        this.addDict(model, "personType", paramService.getParamBySecondOrganize("MatterDutyer","personType"));
        super.init(model, context);
    }


}