package com.mortals.xhx.module.app.model;

import com.mortals.xhx.module.app.model.vo.AppDatasetVo;

import java.util.ArrayList;
import java.util.List;
/**
 * 自助终端应用数据集实体对象
 *
 * @author zxfei
 * @date 2022-11-28
 */

public class AppDatasetEntity extends AppDatasetVo {
    private static final long serialVersionUID = 1L;

    /**
     * appId
     */
    private Long appId;

    /**
     * 自助终端应用信息字段信息
     */
    private List<AppInfoFieldEntity> appInfoFieldList=new ArrayList<>();;


    public AppDatasetEntity(){}
    /**
     * 获取 appId
     * @return Long
     */
    public Long getAppId(){
        return appId;
    }
    /**
     * 设置 appId
     * @param appId
     */
    public void setAppId(Long appId){
        this.appId = appId;
    }


    public List<AppInfoFieldEntity> getAppInfoFieldList(){
        return appInfoFieldList;
    }

    public void setAppInfoFieldList(List<AppInfoFieldEntity> appInfoFieldList){
        this.appInfoFieldList = appInfoFieldList;
    }


    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AppDatasetEntity) {
            AppDatasetEntity tmp = (AppDatasetEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",appId:").append(getAppId());
        return sb.toString();
    }

    public void initAttrValue(){

        this.appId = null;
    }
}